Don't use SSLv2 compatible client hello if we don't tolerate legacy renegotiation
authorDr. Stephen Henson <steve@openssl.org>
Wed, 18 Nov 2009 14:45:48 +0000 (14:45 +0000)
committerDr. Stephen Henson <steve@openssl.org>
Wed, 18 Nov 2009 14:45:48 +0000 (14:45 +0000)
ssl/s23_clnt.c

index 20cde4f..53e080e 100644 (file)
@@ -305,6 +305,8 @@ static int ssl23_client_hello(SSL *s)
                        ssl2_compat = 0;
                if (s->tlsext_status_type != -1)
                        ssl2_compat = 0;
+               if (!(s->ctx->options & SSL_OP_ALLOW_UNSAFE_LEGACY_RENEGOTIATION))
+                       ssl2_compat = 0;
                
 #ifdef TLSEXT_TYPE_opaque_prf_input
                if (s->ctx->tlsext_opaque_prf_input_callback != 0 || s->tlsext_opaque_prf_input != NULL)